# NixOS

Create `/etc/nixos/configuration.nix` with:
```nix
{ config, pkgs, ... }:

{
  imports =
    [
      ./hardware-configuration.nix
      ./repo/default.nix
      ./repo/desktop.nix
      ./repo/genofire.nix
    ];

  system.stateVersion = "21.05";

  # boot
  boot.zfs.requestEncryptionCredentials = []; # list -> default: true - always request for password

  # --------
  # specifical this maschine:
  # --------

  networking.hostId = "6a465f93"; # zfs needed
  networking.hostName = "fireEmerald"; # Define your hostname.
  # cryptsetup
  # boot.initrd.luks.enable = true;
  boot.initrd.luks.devices = {
    "croot" = {
      device = "/dev/disk/by-uuid/e75385e9-b733-49d4-91fd-6ac2fa821195" ;
    };
  };
}
```

and run `nixos-rebuild switch --upgrade`
