{pkgs, ...}:
{
	home.packages = with pkgs; [
		(python3.withPackages(ps: with ps; [
			ansible
			dnspython
			youtube-dl
			boto3 # aws-s3 support for ansible
			# dict_utils for an ansible filter_plugin
			setuptools
			deepmerge
			pip
			passlib # bcrypt
		]))
		killall
		htop
		mosh
		git
		pre-commit
		git-lfs
		tig
		tea
		glab
		figlet
		grml-zsh-config
		tmux
		w3m
		#neovim
		xh
		minio-client
		liboping # fix it
		mtr
		colordiff
		git-annex
		direnv
		pure-prompt
		#vimPlugins.nvim-lspconfig
		#vimPlugins.nerdtree
		go gcc libcap
		go-langserver
		yarn
		pwgen
		pass-wayland
		gotify-cli
		glow
		imagemagick
		ffmpeg
		# devOps
		terraform
		tflint
		nixopsUnstable
	];

	programs.zsh = {
		enable = true;
		enableAutosuggestions = true;
		# broken: enableSyntaxHighlighting = true;
		# grml and pure enabled ....
	};
	programs.direnv.enable = true;

	programs.neovim = {
		enable = true;
		extraConfig = ''
		syntax on
		set number relativenumber
		'';
		plugins = with pkgs.vimPlugins; [
			nvim-lspconfig
			airline
			Syntastic
			{
				plugin = nerdtree;
				config = "map <C-n> :NERDTreeToggle<CR>";
			}
		];
	};
}
